## org.apache.lucene.messages
Class MessageImpl

    java.lang.Object
      org.apache.lucene.messages.MessageImpl

All Implemented Interfaces:
  java.io.Serializable, Message

    public class MessageImpl

extends java.lang.Object
implements Message

Default implementation of Message interface. For Native Language Support (NLS), system of software internationalization.

See Also:
  Serialized Form

Constructor Summary
`MessageImpl(java.lang.String key)`
`MessageImpl(java.lang.String key, java.lang.Object[] args)`

Method Summary
`java.lang.Object[]` `getArguments()`
`java.lang.String` `getKey()`
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getLocalizedMessage(java.util.Locale locale)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageImpl

    public MessageImpl(java.lang.String key)

### MessageImpl

    public MessageImpl(java.lang.String key,
                       java.lang.Object[] args)

Method Detail

### getArguments

    public java.lang.Object[] getArguments()

  Specified by:
    `getArguments` in interface `Message`

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `Message`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Specified by:
    `getLocalizedMessage` in interface `Message`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage(java.util.Locale locale)

  Specified by:
    `getLocalizedMessage` in interface `Message`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.